%global srcname compyte
%global commit 11dc00352423cddd71f09e809d0a22ab1c3ea7a5
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           python-%{srcname}
Version:        0.0.1
Release:        0.8.git%{shortcommit}%{?dist}
Summary:        Common set of compute primitives for PyCUDA and PyOpenCL

License:        MIT
URL:            https://github.com/inducer/compyte
Source0:        %{url}/archive/%{commit}.tar.gz#/%{name}-%{shortcommit}.tar.gz
Source1:        setup.py

BuildArch:      noarch

%description
%{sum}.

%package -n python2-%{srcname}
Summary:       %{summary}
%{?python_provide:%python_provide python2-%{srcname}}
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
Requires:       python2-pytools
Requires:       python2-numpy

%description -n python2-%{srcname}
%{summary}.

%package -n python3-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{srcname}}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
Requires:       python3-pytools
Requires:       python3-numpy

%description -n python3-%{srcname}
%{summary}.

%prep
%autosetup -n %{srcname}-%{commit}
rm -rf compyte/
mkdir -p compyte/
for f in $(ls); do if [[ "$f" != "setup.cfg" && "$f" != "compyte" ]]; then mv "$f" compyte/; fi; done
cp -a %{SOURCE1} .

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%files -n python2-%{srcname}
%{python2_sitelib}/%{srcname}/
%{python2_sitelib}/%{srcname}-*.egg-info/

%files -n python3-%{srcname}
%{python3_sitelib}/%{srcname}/
%{python3_sitelib}/%{srcname}-*.egg-info/

%changelog
* Sat Jul 15 2017 Igor Gnatenko <ignatenko@redhat.com> - 0.0.1-0.8.git11dc003
- Update to latest git

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.1-0.7.gitac1c71d
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.0.1-0.6.gitac1c71d
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.1-0.5.gitac1c71d
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.1-0.4.gitac1c71d
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.1-0.3.gitac1c71d
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Sat Oct 24 2015 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.0.1-0.2.gitac1c71d
- ac1c71d

* Wed Aug 05 2015 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.0.1-0.1.gitfb6ba11
- Initial package
